Subject: Re: bug#21990: htmlfontify fails to generate highly highlighted regions

From: Hong Xu <[email-masked]>
Date: Fri, 15 Jan 2016 16:24:24 -0800

On 01/15/2016 03:48 PM, Phillip Lord wrote:
> Hong Xu <[email-masked]> writes:
> 
>> I'm able to reproduce this issue on both the latest snapshot and
>> 24.4. My OS is GNU/Linux.
> 
>> 2. Press Meta-n multiple times to make sure all changed texts
>> are highlighted. It should look like the following:
>> 
>> https://i.imgur.com/xVdQgxk.png
>> 
>> 3. M-x htmlfontify-buffer, and save the output html file.
>> 
>> 4. Look at it in a browser. The deeply highlighted region (such
>> as the "xxxxxxxxxx") is not highlighted at all.
>> 
> 
> To clarify, you are concerned that, as in your image, "xxxximport"
> is highlighted a different colour from "sys", but this is not
> reflected in htmlfontify-buffer?
> 

Correct.

> In my hands that line is coming in a single colour. Looking at 
> buffer-substring, I get....
> 
> #("+xxxxxxxxxxxximport sys" 0 1 (fontified t face
> diff-indicator-added) 1 23 (fontified t face diff-added))
> 
> 
> i.e. there is only a single font, after the "+". The equivalent
> HTML looks like this....
> 
> </span><span class="diff-indicator-added">+</span><span
> class="diff-added">xxxxxxxxxxxximport sys </span>
> 
> which seems correct to me. I've tried 24.4 and current emacs-25
> branch.
> 
> Am I looking at the right thing?
> 

Thanks for your comments. After opening the patch file, you have move
the cursor to the top of the buffer and run diff-hunk-next (bound to
M-n by default) to show the highlights in Emacs. If you still cannot
see the highlight, you may want to change the theme to the default one
and remove custom color tweaks (I had once used a theme which does not
highlight anything).

Best,
Hong